Sign inGet started

Automation Rules

GET
/workspaces/{workspaceId}/inbox/automation/rules
List inbox automation rules
Abfrageparameter
trigger
string
Rule trigger
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
enabled
boolean
Rule enabled state
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.name
string
erforderlich
results.description
string
results.categoryId
string
erforderlich
results.trigger
string
erforderlich
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
results.triggerArguments
object
results.orderPosition
number
results.enabled
boolean
erforderlich
results.conditions
object
erforderlich
Untergeordnete Attribute anzeigen
results.conditions.all
array of object
Untergeordnete Attribute anzeigen
results.conditions.all.name
string
erforderlich
results.conditions.all.value
object
results.conditions.any
array of object
Untergeordnete Attribute anzeigen
results.conditions.any.name
string
erforderlich
results.conditions.any.value
object
results.actions
array of object
Untergeordnete Attribute anzeigen
results.actions.name
string
erforderlich
results.actions.value
object
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/reorder
Reorder automation rule
Anfrage-Payload
trigger
string
erforderlich
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
rules
array of object
erforderlich
Untergeordnete Parameter anzeigen
rules.ruleId
string
erforderlich
rules.newCategoryId
string
rules.newOrderPosition
number
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Get automation rule
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
description
string
categoryId
string
erforderlich
trigger
string
erforderlich
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
erforderlich
conditions
object
erforderlich
Untergeordnete Attribute anzeigen
conditions.all
array of object
Untergeordnete Attribute anzeigen
conditions.all.name
string
erforderlich
conditions.all.value
object
conditions.any
array of object
Untergeordnete Attribute anzeigen
conditions.any.name
string
erforderlich
conditions.any.value
object
actions
array of object
Untergeordnete Attribute anzeigen
actions.name
string
erforderlich
actions.value
object
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Update automation rule
Anfrage-Payload
name
string
description
string
enabled
boolean
trigger
string
triggerArguments
object
categoryId
string
conditions
object
Untergeordnete Parameter anzeigen
conditions.all
array of object
Untergeordnete Parameter anzeigen
conditions.all.name
string
erforderlich
conditions.all.value
object
conditions.any
array of object
Untergeordnete Parameter anzeigen
conditions.any.name
string
erforderlich
conditions.any.value
object
actions
array of object
Untergeordnete Parameter anzeigen
actions.name
string
erforderlich
actions.value
object
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
description
string
categoryId
string
erforderlich
trigger
string
erforderlich
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
erforderlich
conditions
object
erforderlich
Untergeordnete Attribute anzeigen
conditions.all
array of object
Untergeordnete Attribute anzeigen
conditions.all.name
string
erforderlich
conditions.all.value
object
conditions.any
array of object
Untergeordnete Attribute anzeigen
conditions.any.name
string
erforderlich
conditions.any.value
object
actions
array of object
Untergeordnete Attribute anzeigen
actions.name
string
erforderlich
actions.value
object
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Delete automation rule
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/categories
List inbox automation categories
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.name
string
erforderlich
results.orderPosition
number
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/automation/categories
Create automation category
Anfrage-Payload
name
string
erforderlich
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
orderPosition
number
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/reorder
Reorder automation categories
Anfrage-Payload
categories
array of object
erforderlich
Untergeordnete Parameter anzeigen
categories.categoryId
string
erforderlich
categories.newOrderPosition
number
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Update automation category
Anfrage-Payload
name
string
erforderlich
Antwort-Payload
id
string
erforderlich
name
string
erforderlich
orderPosition
number
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Delete automation category
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Get current new-item reply configuration.
Antwort-Payload
projectId
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PUT
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Update or create new-item reply configuration.
Anfrage-Payload
projectId
string
erforderlich
Codebeispiel
curl -X PUT 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'